﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication49
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class ViewModel : ObservableCollection<DataValues>
    {
        public ViewModel()
        {
            Random r = new Random();

            for (int i = 2000; i <= 2040;i++ )
                Add(new DataValues(i, r.Next(32,72)));
           
        }
    }

    public class DataValues
    {
        public double Year { get; set; }

        public double Count { get; set; }

        public DataValues(double year, double count)
        {
            Year = year;
            Count = count;
        }
    }
}
